netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nad_find.c File Reference
`#include <errno.h>`
`#include <limits.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <bstrlib.h>`
`#include <atalk/adouble.h>`
`#include <atalk/cnid_bdb_private.h>`
`#include <atalk/cnid.h>`
`#include <atalk/directory.h>`
`#include <atalk/unicode.h>`
`#include <atalk/util.h>`
`#include "nad.h"`

## Functions
static void | usage_find (void)
int | bstr_list_push (struct bstrList *sl, bstring bs)
| Push a bstring to the end of a list.
struct bstrList * | bstr_list_create_min (int min)
| Create an empty list with preallocated storage for at least 'min' members.
bstring | bjoin_inv (const struct bstrList *bl, const bstring sep)
| Inverse bjoin.
int | nad_find (int argc, char **argv, AFPObj *obj)

## Function Documentation

## ◆ bjoin_inv()

bstring bjoin_inv | ( | const struct bstrList * | bl,
|  | const bstring | sep )

Inverse bjoin.

## ◆ bstr_list_create_min()

struct bstrList * bstr_list_create_min | ( | int | min | ) |

Create an empty list with preallocated storage for at least 'min' members.

## ◆ bstr_list_push()

int bstr_list_push | ( | struct bstrList * | sl,
|  | bstring | bs )

Push a bstring to the end of a list.

## ◆ nad_find()

int nad_find | ( | int | argc,
|  | char ** | argv,
|  | AFPObj * | obj )

## ◆ usage_find()

void usage_find | ( | void |  | ) |
| static